Facebook Google Plus Twitter LinkedIn YouTube RSS Menu Search Resource - BlogResource - WebinarResource - ReportResource - Eventicons_066 icons_067icons_068icons_069icons_070

ISC BIND 9.9.9 < 9.9.9-S8 / 9.9.9-P6 / 9.10.x < 9.10.4-P6 / 9.11.x < 9.11.0-P3 DoS

High

Synopsis

The remote DNS server may be affected by a Denial of Service (DoS) attack vector.

Description

Versions of ISC BIND 9.9.9 Supported Preview (S) prior to 9.9.9-S8, 9.9.9 prior to 9.9.9-P6, 9.10.x prior to 9.10.4-P6, and 9.11.x prior to 9.11.0-P3 are unpatched for a flaw in the 'query_find()' function in 'bin/named/query.c' that is triggered when using DNS64 and RPZ simultaneously for rewriting query responses. This may allow a remote attacker to cause the service to terminate.

Solution

Upgrade ISC BIND to version 9.11.0-P3 or later. If version 9.11.x cannot be obtained, 9.10.4-P6, 9.9.9-P6 and 9.9.9-S8 have also been patched for these issues.